View Issue Details

IDProjectCategoryView StatusLast Update
0001074Main CAcert Websiteweb of trustpublic2013-03-21 07:28
ReporterINOPIAE Assigned ToUli60  
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version2012 Q2 
Fixed in Version2012 Q4 
Summary0001074: Wrong display of method on points page wot.php?id=10
DescriptionThe method of one assurance from 2008 shows the following entry:
Project-Id-Version: CAcert Production Report-Msgid-Bugs-To:
translations-admin@cacert.org POT-Creation-Date: 2012-01-24 11:20+0100
PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE Last-Translator: FULL NAME
Language-Team: LANGUAGE Language: en MIME-Version: 1.0 Content-Type:
text/plain; charset=UTF-8 Content-Transfer-Encoding: 8bit X-Generator:
Translate Toolkit 1.9.0
Steps To Reproducethere is a screenshot from a testserver account were this issue has been first occured around 2010-08-25
reproducable with old code:
1. assure someone
2. selecting TTP-admin
the initial bug probably has been fixed with one of the wot?id=10 fixes
to no longer results in an empty enum'd assurance method

the display bug still remains for old records (and there are many "empty" assurance method records on the production system and a few on the testserver system.
found by discovery under https://wiki.cacert.org/Arbitrations/a20091118.1
(see table "2010-10-06 7 variants of TTP entered into the system has been identified" in discovery section (near end of arbitration file))

the https://wiki.cacert.org/Arbitrations/a20091118.1 infos are publicly available by the arbitration file.

The text "Project-Id-Version: CAcert Production Report-Msgid-Bugs-To: ..." has changed in the past and may change in the future if a new translation import (is it *.so file? is it *.po file?) has been initiated.

Additional InformationThere is a screenshot of the error available in the OTRS ticket s20120614.174
I can not see the error in the SE console.
It seems to be a super assurances to me.
TagsNo tags attached.
Reviewed by
Test Instructions

Relationships

related to 0000855 closedUli60 Main CAcert Website Fix adding TTP assurance method on testserver (was: admin console lists "empty" and "Unknown" ...) 
related to 0000867 closededgarwahn Main CAcert Website code fix in /www/wot.php 
related to 0000837 closedUli60 test.cacert.org My Points - Assurances rcvd / given unordered on cacert1.it-sls.de vs production server 
related to 0001134 closedNEOatNHNG Main CAcert Website Delete the board flag thourougly in all parts of our software 

Activities

Uli60

2012-06-14 23:10

updater   ~0003068

Last edited: 2012-06-14 23:37

View 4 revisions

problem first identified after 2010-08-25 under bug 855 and bug 837 testing on cacert1.it-sls.de testserver
user account ulrich@c.o lists in users view (https://cacert1.it-sls.de/wot.php?id=10) as assurance method following text:
"Project-Id-Version: CAcert Production Report-Msgid-Bugs-To: translations-admin@cacert.org POT-Creation-Date: 2012-06-04 11:12+0200 PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE Last-Translator: FULL NAME Language-Team: LANGUAGE Language: en MIME-Version: 1.0 Content-Type: text/plain; charset=UTF-8 Content-Transfer-Encoding: 8bit X-Generator: Translate Toolkit 1.9.0" as "assurance method" string.

at least one of 3 assurances where made as TTP assurance that resulted in an empty database record for assurance method
so despite the fact the assurance method field should contain an enum value, the field value results of a program bug in an empty (NULL?) record entry

assurance Ids that lists this error under the users MyPoints view:
255388
255384
255385


checking the same records under the admin console =>
old calculation -> https://cacert1.it-sls.de/account.php?id=43&userid=170914&shownotary=assuredto
-and-
new calculation -> https://cacert1.it-sls.de/account.php?id=43&userid=170914&shownotary=assuredto15

admin console view / users-view(10) / users-view(15) / old-view / new-view
NotaryId
255384 / garbage / empty / empty / empty
255385 / garbage / empty / empty / empty
255388 / garbage / empty / empty / empty



the string that becomes displayed under wot?id=10

"Project-Id-Version: CAcert Production Report-Msgid-Bugs-To: translations-admin@cacert.org POT-Creation-Date: 2012-06-04 11:12+0200 PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE Last-Translator: FULL NAME Language-Team: LANGUAGE Language: en MIME-Version: 1.0 Content-Type: text/plain; charset=UTF-8 Content-Transfer-Encoding: 8bit X-Generator: Translate Toolkit 1.9.0"

indicates this is a part from the translations po? so? file of the webdb

as the bug was first seen at 2010-08-25 where translingo was still active, now the translation service has been moved to pootle, this is a generic get_text or similar related bug within the wot?id=10 source code

by this time around (~ 2010-08-24) we worked on bug 837, https://bugs.cacert.org/view.php?id=837 that has two pdf attachments, that didn't show the defective 3 records (the pdf's were created before the 3 test records has been made)
there is also a reference to software-assessment project meeting at 2010-08-24
https://wiki.cacert.org/Software/Assessment/20100824-S-A-MiniTOP-telco
working on wot?id=10 issues

Uli60

2012-06-14 23:44

updater  

Uli60

2012-12-17 05:15

updater   ~0003451

re-checking => assurance Ids that lists this error under the users MyPoints view:
a. 255388
b. 255384
c. 255385

a.
255388 2010-09-01 22:37:23 Mario Lipinski m@c.o 0 TTP Revoke
no more garbage => ok

b.
255384 2010-08-25 10:38:10 Mario Lipinski m@c.o 0 38102 Revoke
no more garbage => ok

c.
255385 2010-08-25 10:38:58 Mario Lipinski m@c.o 0 Revoke
no more garbage => ok

Uli60

2012-12-17 05:16

updater   ~0003452

problem finaly fixed

Werner Dworak

2013-03-21 07:27

updater   ~0003833

More than 3 months solved

Issue History

Date Modified Username Field Change
2012-06-14 18:41 INOPIAE New Issue
2012-06-14 18:41 INOPIAE Additional Information Updated View Revisions
2012-06-14 22:52 Uli60 Relationship added related to 0000855
2012-06-14 23:10 Uli60 Note Added: 0003068
2012-06-14 23:11 Uli60 Relationship added related to 0000867
2012-06-14 23:18 Uli60 Relationship added related to 0000837
2012-06-14 23:31 Uli60 Note Edited: 0003068 View Revisions
2012-06-14 23:33 Uli60 Note Edited: 0003068 View Revisions
2012-06-14 23:37 Uli60 Note Edited: 0003068 View Revisions
2012-06-14 23:44 Uli60 File Added: bug1074-testserver-sample.pdf
2012-06-14 23:58 Uli60 Reproducibility always => sometimes
2012-06-14 23:58 Uli60 Status new => confirmed
2012-06-14 23:58 Uli60 Steps to Reproduce Updated View Revisions
2012-06-15 00:02 Uli60 Steps to Reproduce Updated View Revisions
2012-12-17 05:15 Uli60 Note Added: 0003451
2012-12-17 05:16 Uli60 Note Added: 0003452
2012-12-17 05:16 Uli60 Status confirmed => solved?
2012-12-17 05:16 Uli60 Resolution open => fixed
2012-12-17 05:16 Uli60 Assigned To => Uli60
2013-01-09 04:26 Werner Dworak Relationship added related to 0001134
2013-01-13 08:27 INOPIAE Fixed in Version => 2012 Q4
2013-03-21 07:27 Werner Dworak Note Added: 0003833
2013-03-21 07:27 Werner Dworak Status solved? => closed
2013-03-21 07:28 Werner Dworak Product Version => 2012 Q2